;;; emacspeak-addejdic.el --- Utility for adding english dictionary for bep japanese speech server
;;; $Id: emacspeak-addejdic.el,v 1.1 2001/06/09 17:27:39 inoue Exp $
;;; $Author: inoue $ 
;;; Description:  Emacspeak Utility for adding english dictionary for bep japanese speech server
;;; Keywords: Emacspeak, bep
;;{{{  LCD Archive entry: 

;;; LCD Archive Entry:
;;; emacspeak| T. V. Raman |raman@cs.cornell.edu 
;;; A speech interface to Emacs |
;;; $Date: 2001/06/09 17:27:39 $ |
;;;  $Revision: 1.1 $ | 
;;; Location undetermined
;;;

;;}}}
;;{{{  Copyright:
;;;Copyright (C) 1995 -- 2000, T. V. Raman 
;;; Copyright (c) 1994, 1995 by Digital Equipment Corporation.
;;; All Rights Reserved. 
;;;
;;; This file is not part of GNU Emacs, but the same permissions apply.
;;;
;;; GNU Emacs is free software; you can redistribute it and/or modify
;;; it under the terms of the GNU General Public License as published by
;;; the Free Software Foundation; either version 2, or (at your option)
;;; any later version.
;;;
;;; GNU Emacs is distributed in the hope that it will be useful,
;;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;;; GNU General Public License for more details.
;;;
;;; You should have received a copy of the GNU General Public License
;;; along with GNU Emacs; see the file COPYING.  If not, write to
;;; the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.

;;}}}

(require 'cl)
(declaim  (optimize  (safety 0) (speed 3)))
(require 'voice-lock)
(require 'emacspeak-keymap)
(require 'emacspeak-fix-interactive)
(require 'emacspeak-speak)

(require 'emacspeak-sounds)

(defun emacspeak-addejdic ()
  "Add new english word"
  (interactive)
  (setq engword (upcase (read-from-minibuffer "English word: ")))
  (if (string-match "^[A-Z]+$" engword)
      (progn 
      (setq yomi (read-from-minibuffer "Yomi: "))
      (setq attr (read-from-minibuffer "Attribute0/1: "))
      (if (string-match "^[01]$" attr)
	  (if
	    (emacspeak-addejdic-sort-entry engword yomi attr)
	    (tts-restart))
	(message "Please anser 0 or 1")))
      
    (message "Not valid characters")))

(defun emacspeak-addejdic-sort-entry (word yomi attr)
  "Add the new entry and sort english dictionary."
  (setq bep-eng.dic "~/bep-eng.dic")
  (setq buf-name (find-file-noselect bep-eng.dic))
  (switch-to-buffer buf-name)
  (set-buffer buf-name)
  (goto-char (point-min))
  (setq entry-point (re-search-forward (concat "^" word " .*[01]$") nil t))
  (if entry-point
      (message (concat "Entry already exists as " (match-string 0))) 
    (progn
	       (goto-char (point-min))
	       (insert word " " yomi " " attr "\n")
	       (setq beg (point-min))
	       (setq end (point-max))
	       (sort-lines t beg end)
	       (save-buffer))
    )
  (kill-buffer buf-name)
  (if entry-point  nil t))

(provide 'emacspeak-addejdic)

